4

I am trying to install and use the Mix IDE. I have downloaded the disk image from the github page (https://github.com/ethereum/webthree-umbrella/releases/tag/v1.2.3). There appears to be no issue when I download the .dmg or move it into my Applications folder. However, when I try to open Mix (or AlethOne or AlethZero for that matter), I get a message that "Mix quit unexpectedly." I have tried installing a previous version of Mix, but I got the same result.

Are there any dependencies I need to install before hand? Or some other concern I should be aware of? Any help would be greatly appreciated!

I am running OS X 10.10.5 (Yosemite) on a MacBook Pro

3

HOW TO INSTALL ETHEREUM UTILITIES ON MAC OSX

  1. Install Brew

ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

  1. Run brew doctor
  2. Install the caktux formulae for Ethereum

brew tap ethereum/ethereum

  1. brew install cpp-ethereum --devel --with-gui --successful

  2. brew linkapps cpp-ethereum

  • Thank you for your help! I completed the steps you described and got messages that ethereum was already installed. I re-downloaded Mix, AlethZero and AlethOne from the github, as I didn't know how to start the application otherwise - and I got the same issue as before. Is there a different step I should take to start the application? Or perhaps do I need to do a more thorough uninstall first? Thank you again – John Apr 12 '16 at 1:26
  • Try to uninstall first and then install :) – arodriguezdonaire Apr 12 '16 at 5:03
  • Thank you again - I haven't forgotten about your response/to accept, I'm still working through getting it to work though, I've run into a bunch of issues getting the brew install to work, so working my way through all the forum posts I can find on each issue in succession – John Apr 15 '16 at 2:49
  • Finally got it! I kept getting errors when running those commands above, and tried a few things to resolve them - installing libjson-rpc, and the last blocker was that I needed to update my XCode, which updated the version of clang on my machine. Thanks again! – John Apr 23 '16 at 16:15
2

Worth mentioning as well that for those living on the cutting edge and using the develop ppa of cpp-ethereum: Mix will no longer be installable by apt-get install mix - to avoid a naming conflict with the build tool of elixir that is also named mix, we renamed mix to mix-ide, so to install it, use

apt-get install mix-ide

instead of mix.

See - https://www.reddit.com/r/ethereum/comments/4e9wv1/ubuntu_develop_mix_renamed_to_mixide/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.